Summary: Japanized Tcl-7.6p2 and Tk-4.2p2, with shared libraries
Name: jp-tcltk
Version: 7.6p2_4.2p2
Release: 2b
Source0: ftp.sunlabs.com:/pub/tcl/tcl7.6p2.tar.gz
Source1: ftp.sunlabs.com:/pub/tcl/tk4.2p2.tar.gz
Copyright: BSD
Group: Development/Languages/Tcl
Patch0: tcl7.6jp-patch
Patch1: tk4.2jp-patch
Patch2: tcl7.6-ppc.patch
Patch3: tcl7.6-glibc2.1.patch
BuildRoot: /tmp/tcl-root
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
%define prefix /usr/local

%description
Source package for japanized tcl and tk. The binary packages
include descriptions of the functionality provided by each portion
of this package.

TCL is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. TCL is very popular for writing small graphical applications
because of the TK widget set which is closely tied to it.
Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%prep

%setup -T -c -a 0
%setup -T -D -a 1

cd tcl7.6
%patch0 -p0
#%ifarch ppc
#%patch2 -p1
#%endif
%patch3 -p1
cd ../tk4.2
%patch1 -p0
cd ..

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

%build

#
# Tcl
#
cd tcl7.6/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --enable-shared
make
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf tcl7.6jp $RPM_BUILD_ROOT%{prefix}/lib/tcl
ln -sf tcl7.6jp $RPM_BUILD_ROOT%{prefix}/lib/tcl7.6
ln -sf libtcl7.6jp.so $RPM_BUILD_ROOT%{prefix}/lib/libtcl.so
ln -sf libtcl7.6jp.so $RPM_BUILD_ROOT%{prefix}/lib/libtcl7.6.so
ln -sf tclsh7.6jp $RPM_BUILD_ROOT%{prefix}/bin/tclsh
ln -sf tclsh7.6jp $RPM_BUILD_ROOT%{prefix}/bin/tclsh7.6
cd ../..
#
# Tk
#
cd tk4.2/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --enable-shared
make
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf tk4.2jp $RPM_BUILD_ROOT%{prefix}/lib/tk
ln -sf tk4.2jp $RPM_BUILD_ROOT%{prefix}/lib/tk4.2
ln -sf libtk4.2jp.so $RPM_BUILD_ROOT%{prefix}/lib/libtk.so
ln -sf libtk4.2jp.so $RPM_BUILD_ROOT%{prefix}/lib/libtk4.2.so
ln -sf wish4.2jp $RPM_BUILD_ROOT%{prefix}/bin/wish
ln -sf wish4.2jp $RPM_BUILD_ROOT%{prefix}/bin/wish4.2
cd ../..

%install

#
# Tcl and Tk get installed in the build section
# except for tkWStr.h that is needed for Japanization.
#
cd tk4.2/generic
install -o 0 -g 0 -m644 tkWStr.h $RPM_BUILD_ROOT%{prefix}/include
cd ../..

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%{prefix}/lib/tcl7.6jp
%{prefix}/lib/libtcl7.6jp.so
%{prefix}/lib/tclConfig.sh
%{prefix}/lib/tcl
%{prefix}/lib/tcl7.6
%{prefix}/lib/libtcl.so
%{prefix}/lib/libtcl7.6.so
%{prefix}/lib/tk4.2jp
%{prefix}/lib/libtk4.2jp.so
%{prefix}/lib/tkConfig.sh
%{prefix}/lib/tk
%{prefix}/lib/tk4.2
%{prefix}/lib/libtk.so
%{prefix}/lib/libtk4.2.so
%{prefix}/bin/tclsh
%{prefix}/bin/tclsh7.6jp
%{prefix}/bin/tclsh7.6
%{prefix}/bin/wish
%{prefix}/bin/wish4.2jp
%{prefix}/bin/wish4.2
%{prefix}/include/tcl.h
%{prefix}/include/tk.h
%{prefix}/include/tkWStr.h
%{prefix}/man/man1/tclsh.1
%{prefix}/man/man1/wish.1
%{prefix}/man/man3/AddErrInfo.3
%{prefix}/man/man3/Alloc.3
%{prefix}/man/man3/AllowExc.3
%{prefix}/man/man3/AppInit.3
%{prefix}/man/man3/AssocData.3
%{prefix}/man/man3/Async.3
%{prefix}/man/man3/BackgdErr.3
%{prefix}/man/man3/Backslash.3
%{prefix}/man/man3/CallDel.3
%{prefix}/man/man3/CmdCmplt.3
%{prefix}/man/man3/Concat.3
%{prefix}/man/man3/CrtChannel.3
%{prefix}/man/man3/CrtChnlHdlr.3
%{prefix}/man/man3/CrtCloseHdlr.3
%{prefix}/man/man3/CrtCommand.3
%{prefix}/man/man3/CrtFileHdlr.3
%{prefix}/man/man3/CrtInterp.3
%{prefix}/man/man3/CrtMathFnc.3
%{prefix}/man/man3/CrtModalTmt.3
%{prefix}/man/man3/CrtSlave.3
%{prefix}/man/man3/CrtTimerHdlr.3
%{prefix}/man/man3/CrtTrace.3
%{prefix}/man/man3/DString.3
%{prefix}/man/man3/DetachPids.3
%{prefix}/man/man3/DoOneEvent.3
%{prefix}/man/man3/DoWhenIdle.3
%{prefix}/man/man3/Eval.3
%{prefix}/man/man3/Exit.3
%{prefix}/man/man3/ExprLong.3
%{prefix}/man/man3/FindExec.3
%{prefix}/man/man3/GetFile.3
%{prefix}/man/man3/GetInt.3
%{prefix}/man/man3/GetOpnFl.3
%{prefix}/man/man3/GetStdChan.3
%{prefix}/man/man3/Hash.3
%{prefix}/man/man3/Interp.3
%{prefix}/man/man3/LinkVar.3
%{prefix}/man/man3/Notifier.3
%{prefix}/man/man3/OpenFileChnl.3
%{prefix}/man/man3/OpenTcp.3
%{prefix}/man/man3/PkgRequire.3
%{prefix}/man/man3/Preserve.3
%{prefix}/man/man3/PrintDbl.3
%{prefix}/man/man3/RecordEval.3
%{prefix}/man/man3/RegExp.3
%{prefix}/man/man3/SetErrno.3
%{prefix}/man/man3/SetRecLmt.3
%{prefix}/man/man3/SetResult.3
%{prefix}/man/man3/SetVar.3
%{prefix}/man/man3/Sleep.3
%{prefix}/man/man3/SplitList.3
%{prefix}/man/man3/SplitPath.3
%{prefix}/man/man3/StaticPkg.3
%{prefix}/man/man3/StrMatch.3
%{prefix}/man/man3/Tcl_Main.3
%{prefix}/man/man3/TraceVar.3
%{prefix}/man/man3/Translate.3
%{prefix}/man/man3/UpVar.3
%{prefix}/man/man3/Tcl_AddErrorInfo.3
%{prefix}/man/man3/Tcl_Alloc.3
%{prefix}/man/man3/Tcl_AllowExceptions.3
%{prefix}/man/man3/Tcl_AppInit.3
%{prefix}/man/man3/Tcl_AppendElement.3
%{prefix}/man/man3/Tcl_AppendResult.3
%{prefix}/man/man3/Tcl_AsyncCreate.3
%{prefix}/man/man3/Tcl_AsyncDelete.3
%{prefix}/man/man3/Tcl_AsyncInvoke.3
%{prefix}/man/man3/Tcl_AsyncMark.3
%{prefix}/man/man3/Tcl_BackgroundError.3
%{prefix}/man/man3/Tcl_Backslash.3
%{prefix}/man/man3/Tcl_CallWhenDeleted.3
%{prefix}/man/man3/Tcl_CancelIdleCall.3
%{prefix}/man/man3/Tcl_Close.3
%{prefix}/man/man3/Tcl_CommandComplete.3
%{prefix}/man/man3/Tcl_Concat.3
%{prefix}/man/man3/Tcl_ConvertElement.3
%{prefix}/man/man3/Tcl_CreateAlias.3
%{prefix}/man/man3/Tcl_CreateChannel.3
%{prefix}/man/man3/Tcl_CreateChannelHandler.3
%{prefix}/man/man3/Tcl_CreateCloseHandler.3
%{prefix}/man/man3/Tcl_CreateCommand.3
%{prefix}/man/man3/Tcl_CreateEventSource.3
%{prefix}/man/man3/Tcl_CreateExitHandler.3
%{prefix}/man/man3/Tcl_CreateFileHandler.3
%{prefix}/man/man3/Tcl_CreateHashEntry.3
%{prefix}/man/man3/Tcl_CreateInterp.3
%{prefix}/man/man3/Tcl_CreateMathFunc.3
%{prefix}/man/man3/Tcl_CreateModalTimeout.3
%{prefix}/man/man3/Tcl_CreateSlave.3
%{prefix}/man/man3/Tcl_CreateTimerHandler.3
%{prefix}/man/man3/Tcl_CreateTrace.3
%{prefix}/man/man3/Tcl_DStringAppend.3
%{prefix}/man/man3/Tcl_DStringAppendElement.3
%{prefix}/man/man3/Tcl_DStringEndSublist.3
%{prefix}/man/man3/Tcl_DStringFree.3
%{prefix}/man/man3/Tcl_DStringGetResult.3
%{prefix}/man/man3/Tcl_DStringInit.3
%{prefix}/man/man3/Tcl_DStringLength.3
%{prefix}/man/man3/Tcl_DStringResult.3
%{prefix}/man/man3/Tcl_DStringSetLength.3
%{prefix}/man/man3/Tcl_DStringStartSublist.3
%{prefix}/man/man3/Tcl_DStringValue.3
%{prefix}/man/man3/Tcl_DeleteAssocData.3
%{prefix}/man/man3/Tcl_DeleteChannelHandler.3
%{prefix}/man/man3/Tcl_DeleteCloseHandler.3
%{prefix}/man/man3/Tcl_DeleteCommand.3
%{prefix}/man/man3/Tcl_DeleteEventSource.3
%{prefix}/man/man3/Tcl_DeleteExitHandler.3
%{prefix}/man/man3/Tcl_DeleteFileHandler.3
%{prefix}/man/man3/Tcl_DeleteHashEntry.3
%{prefix}/man/man3/Tcl_DeleteHashTable.3
%{prefix}/man/man3/Tcl_DeleteInterp.3
%{prefix}/man/man3/Tcl_DeleteModalTimeout.3
%{prefix}/man/man3/Tcl_DeleteTimerHandler.3
%{prefix}/man/man3/Tcl_DeleteTrace.3
%{prefix}/man/man3/Tcl_DetachPids.3
%{prefix}/man/man3/Tcl_DoOneEvent.3
%{prefix}/man/man3/Tcl_DoWhenIdle.3
%{prefix}/man/man3/Tcl_DontCallWhenDeleted.3
%{prefix}/man/man3/Tcl_Eof.3
%{prefix}/man/man3/Tcl_Eval.3
%{prefix}/man/man3/Tcl_EvalFile.3
%{prefix}/man/man3/Tcl_EventuallyFree.3
%{prefix}/man/man3/Tcl_Exit.3
%{prefix}/man/man3/Tcl_ExprBoolean.3
%{prefix}/man/man3/Tcl_ExprDouble.3
%{prefix}/man/man3/Tcl_ExprLong.3
%{prefix}/man/man3/Tcl_ExprString.3
%{prefix}/man/man3/Tcl_FileReady.3
%{prefix}/man/man3/Tcl_FindExecutable.3
%{prefix}/man/man3/Tcl_FindHashEntry.3
%{prefix}/man/man3/Tcl_FirstHashEntry.3
%{prefix}/man/man3/Tcl_Flush.3
%{prefix}/man/man3/Tcl_Free.3
%{prefix}/man/man3/Tcl_FreeFile.3
%{prefix}/man/man3/Tcl_GetAlias.3
%{prefix}/man/man3/Tcl_GetAliases.3
%{prefix}/man/man3/Tcl_GetAssocData.3
%{prefix}/man/man3/Tcl_GetBoolean.3
%{prefix}/man/man3/Tcl_GetChannelBufferSize.3
%{prefix}/man/man3/Tcl_GetChannelFile.3
%{prefix}/man/man3/Tcl_GetChannelInstanceData.3
%{prefix}/man/man3/Tcl_GetChannelMode.3
%{prefix}/man/man3/Tcl_GetChannelName.3
%{prefix}/man/man3/Tcl_GetChannelOption.3
%{prefix}/man/man3/Tcl_GetChannelType.3
%{prefix}/man/man3/Tcl_GetCommandInfo.3
%{prefix}/man/man3/Tcl_GetDouble.3
%{prefix}/man/man3/Tcl_GetErrno.3
%{prefix}/man/man3/Tcl_GetFile.3
%{prefix}/man/man3/Tcl_GetFileInfo.3
%{prefix}/man/man3/Tcl_GetHashKey.3
%{prefix}/man/man3/Tcl_GetHashValue.3
%{prefix}/man/man3/Tcl_GetInt.3
%{prefix}/man/man3/Tcl_GetMaster.3
%{prefix}/man/man3/Tcl_GetOpenFile.3
%{prefix}/man/man3/Tcl_GetPathType.3
%{prefix}/man/man3/Tcl_GetSlave.3
%{prefix}/man/man3/Tcl_GetSlaves.3
%{prefix}/man/man3/Tcl_GetStdChannel.3
%{prefix}/man/man3/Tcl_GetVar.3
%{prefix}/man/man3/Tcl_GetVar2.3
%{prefix}/man/man3/Tcl_Gets.3
%{prefix}/man/man3/GetGC.3
%{prefix}/man/man3/Tcl_GlobalEval.3
%{prefix}/man/man3/Tcl_HashStats.3
%{prefix}/man/man3/Tcl_InitHashTable.3
%{prefix}/man/man3/Tcl_InputBlocked.3
%{prefix}/man/man3/Tcl_Interp.3
%{prefix}/man/man3/Tcl_InterpDeleted.3
%{prefix}/man/man3/Tcl_IsSafe.3
%{prefix}/man/man3/Tcl_JoinPath.3
%{prefix}/man/man3/Tcl_LinkVar.3
%{prefix}/man/man3/Tcl_MakeSafe.3
%{prefix}/man/man3/Tcl_Merge.3
%{prefix}/man/man3/Tcl_NextHashEntry.3
%{prefix}/man/man3/Tcl_OpenCommandChannel.3
%{prefix}/man/man3/Tcl_OpenFileChannel.3
%{prefix}/man/man3/Tcl_OpenTcpClient.3
%{prefix}/man/man3/Tcl_OpenTcpServer.3
%{prefix}/man/man3/Tcl_PkgProvide.3
%{prefix}/man/man3/Tcl_PkgRequire.3
%{prefix}/man/man3/Tcl_PosixError.3
%{prefix}/man/man3/Tcl_Preserve.3
%{prefix}/man/man3/Tcl_PrintDouble.3
%{prefix}/man/man3/Tcl_QueueEvent.3
%{prefix}/man/man3/Tcl_Read.3
%{prefix}/man/man3/Tcl_Realloc.3
%{prefix}/man/man3/Tcl_ReapDetachedProcs.3
%{prefix}/man/man3/Tcl_RecordAndEval.3
%{prefix}/man/man3/Tcl_RegExpCompile.3
%{prefix}/man/man3/Tcl_RegExpExec.3
%{prefix}/man/man3/Tcl_RegExpMatch.3
%{prefix}/man/man3/Tcl_RegExpRange.3
%{prefix}/man/man3/Tcl_Release.3
%{prefix}/man/man3/Tcl_ResetResult.3
%{prefix}/man/man3/Tcl_ScanElement.3
%{prefix}/man/man3/Tcl_Seek.3
%{prefix}/man/man3/Tcl_SetAssocData.3
%{prefix}/man/man3/Tcl_SetChannelBufferSize.3
%{prefix}/man/man3/Tcl_SetChannelOption.3
%{prefix}/man/man3/Tcl_SetCommandInfo.3
%{prefix}/man/man3/Tcl_SetErrno.3
%{prefix}/man/man3/Tcl_SetDefaultTranslation.3
%{prefix}/man/man3/Tcl_SetErrorCode.3
%{prefix}/man/man3/Tcl_SetHashValue.3
%{prefix}/man/man3/Tcl_SetMaxBlockTime.3
%{prefix}/man/man3/Tcl_SetRecursionLimit.3
%{prefix}/man/man3/Tcl_SetResult.3
%{prefix}/man/man3/Tcl_SetStdChannel.3
%{prefix}/man/man3/Tcl_SetVar.3
%{prefix}/man/man3/Tcl_SetVar2.3
%{prefix}/man/man3/Tcl_Sleep.3
%{prefix}/man/man3/Tcl_SplitList.3
%{prefix}/man/man3/Tcl_SplitPath.3
%{prefix}/man/man3/Tcl_StaticPackage.3
%{prefix}/man/man3/Tcl_StringMatch.3
%{prefix}/man/man3/Tcl_Tell.3
%{prefix}/man/man3/Tcl_TraceVar.3
%{prefix}/man/man3/Tcl_TraceVar2.3
%{prefix}/man/man3/Tcl_TranslateFileName.3
%{prefix}/man/man3/Tcl_UnlinkVar.3
%{prefix}/man/man3/Tcl_UnsetVar.3
%{prefix}/man/man3/Tcl_UnsetVar2.3
%{prefix}/man/man3/Tcl_UntraceVar.3
%{prefix}/man/man3/Tcl_UntraceVar2.3
%{prefix}/man/man3/Tcl_UpVar.3
%{prefix}/man/man3/Tcl_UpVar2.3
%{prefix}/man/man3/Tcl_UpdateLinkedVar.3
%{prefix}/man/man3/Tcl_VarEval.3
%{prefix}/man/man3/Tcl_VarTraceInfo.3
%{prefix}/man/man3/Tcl_VarTraceInfo2.3
%{prefix}/man/man3/Tcl_WaitForEvent.3
%{prefix}/man/man3/Tcl_WatchFile.3
%{prefix}/man/man3/Tcl_Write.3
%{prefix}/man/man3/3DBorder.3
%{prefix}/man/man3/BindTable.3
%{prefix}/man/man3/CanvPsY.3
%{prefix}/man/man3/CanvTkwin.3
%{prefix}/man/man3/CanvTxtInfo.3
%{prefix}/man/man3/Clipboard.3
%{prefix}/man/man3/ClrSelect.3
%{prefix}/man/man3/ConfigWidg.3
%{prefix}/man/man3/ConfigWind.3
%{prefix}/man/man3/GetUid.3
%{prefix}/man/man3/CoordToWin.3
%{prefix}/man/man3/CrtErrHdlr.3
%{prefix}/man/man3/CrtGenHdlr.3
%{prefix}/man/man3/CrtImgType.3
%{prefix}/man/man3/CrtItemType.3
%{prefix}/man/man3/CrtPhImgFmt.3
%{prefix}/man/man3/CrtSelHdlr.3
%{prefix}/man/man3/CrtWindow.3
%{prefix}/man/man3/DeleteImg.3
%{prefix}/man/man3/DrawFocHlt.3
%{prefix}/man/man3/EventHndlr.3
%{prefix}/man/man3/FindPhoto.3
%{prefix}/man/man3/FreeXId.3
%{prefix}/man/man3/GeomReq.3
%{prefix}/man/man3/GetAnchor.3
%{prefix}/man/man3/GetBitmap.3
%{prefix}/man/man3/GetCapStyl.3
%{prefix}/man/man3/GetClrmap.3
%{prefix}/man/man3/GetColor.3
%{prefix}/man/man3/GetCursor.3
%{prefix}/man/man3/GetFontStr.3
%{prefix}/man/man3/GetImage.3
%{prefix}/man/man3/GetJoinStl.3
%{prefix}/man/man3/GetJustify.3
%{prefix}/man/man3/GetOption.3
%{prefix}/man/man3/GetPixels.3
%{prefix}/man/man3/GetPixmap.3
%{prefix}/man/man3/GetRelief.3
%{prefix}/man/man3/GetRootCrd.3
%{prefix}/man/man3/GetScroll.3
%{prefix}/man/man3/GetSelect.3
%{prefix}/man/man3/GetVRoot.3
%{prefix}/man/man3/GetVisual.3
%{prefix}/man/man3/HandleEvent.3
%{prefix}/man/man3/IdToWindow.3
%{prefix}/man/man3/ImgChanged.3
%{prefix}/man/man3/InternAtom.3
%{prefix}/man/man3/MainLoop.3
%{prefix}/man/man3/MainWin.3
%{prefix}/man/man3/MaintGeom.3
%{prefix}/man/man3/ManageGeom.3
%{prefix}/man/man3/MapWindow.3
%{prefix}/man/man3/MoveToplev.3
%{prefix}/man/man3/Name.3
%{prefix}/man/man3/NameOfImg.3
%{prefix}/man/man3/OwnSelect.3
%{prefix}/man/man3/ParseArgv.3
%{prefix}/man/man3/QWinEvent.3
%{prefix}/man/man3/Restack.3
%{prefix}/man/man3/RestrictEv.3
%{prefix}/man/man3/Tk_Uid.3
%{prefix}/man/man3/SetAppName.3
%{prefix}/man/man3/SetClass.3
%{prefix}/man/man3/SetGrid.3
%{prefix}/man/man3/SetVisual.3
%{prefix}/man/man3/StrictMotif.3
%{prefix}/man/man3/Tk_Init.3
%{prefix}/man/man3/Tk_Main.3
%{prefix}/man/man3/WindowId.3
%{prefix}/man/man3/Tk_3DBorderColor.3
%{prefix}/man/man3/Tk_3DBorderGC.3
%{prefix}/man/man3/Tk_3DHorizontalBevel.3
%{prefix}/man/man3/Tk_3DVerticalBevel.3
%{prefix}/man/man3/Tk_Attributes.3
%{prefix}/man/man3/Tk_BindEvent.3
%{prefix}/man/man3/Tk_CanvasDrawableCoords.3
%{prefix}/man/man3/Tk_CanvasEventuallyRedraw.3
%{prefix}/man/man3/Tk_CanvasGetCoord.3
%{prefix}/man/man3/Tk_CanvasPsBitmap.3
%{prefix}/man/man3/Tk_CanvasPsColor.3
%{prefix}/man/man3/Tk_CanvasPsFont.3
%{prefix}/man/man3/Tk_CanvasPsPath.3
%{prefix}/man/man3/Tk_CanvasPsStipple.3
%{prefix}/man/man3/Tk_CanvasPsY.3
%{prefix}/man/man3/Tk_CanvasSetStippleOrigin.3
%{prefix}/man/man3/Tk_CanvasTagsOption.3
%{prefix}/man/man3/Tk_CanvasTextInfo.3
%{prefix}/man/man3/Tk_CanvasTkwin.3
%{prefix}/man/man3/Tk_CanvasWindowCoords.3
%{prefix}/man/man3/Tk_ChangeWindowAttributes.3
%{prefix}/man/man3/Tk_Changes.3
%{prefix}/man/man3/Tk_Class.3
%{prefix}/man/man3/Tk_ClearSelection.3
%{prefix}/man/man3/Tk_ClipboardAppend.3
%{prefix}/man/man3/Tk_ClipboardClear.3
%{prefix}/man/man3/Tk_Colormap.3
%{prefix}/man/man3/Tk_ConfigureInfo.3
%{prefix}/man/man3/Tk_ConfigureValue.3
%{prefix}/man/man3/Tk_ConfigureWidget.3
%{prefix}/man/man3/Tk_X.3
%{prefix}/man/man3/Tk_ConfigureWindow.3
%{prefix}/man/man3/Tk_CoordsToWindow.3
%{prefix}/man/man3/Tk_CreateBinding.3
%{prefix}/man/man3/Tk_CreateBindingTable.3
%{prefix}/man/man3/Tk_CreateErrorHandler.3
%{prefix}/man/man3/Tk_CreateEventHandler.3
%{prefix}/man/man3/Tk_CreateGenericHandler.3
%{prefix}/man/man3/Tk_CreateImageType.3
%{prefix}/man/man3/Tk_CreateItemType.3
%{prefix}/man/man3/Tk_CreatePhotoImageFormat.3
%{prefix}/man/man3/Tk_CreateSelHandler.3
%{prefix}/man/man3/Tk_CreateWindow.3
%{prefix}/man/man3/Tk_CreateWindowFromPath.3
%{prefix}/man/man3/Tk_DefineBitmap.3
%{prefix}/man/man3/Tk_DefineCursor.3
%{prefix}/man/man3/Tk_DeleteAllBindings.3
%{prefix}/man/man3/Tk_DeleteBinding.3
%{prefix}/man/man3/Tk_DeleteBindingTable.3
%{prefix}/man/man3/Tk_DeleteErrorHandler.3
%{prefix}/man/man3/Tk_DeleteEventHandler.3
%{prefix}/man/man3/Tk_DeleteGenericHandler.3
%{prefix}/man/man3/Tk_DeleteImage.3
%{prefix}/man/man3/Tk_DeleteSelHandler.3
%{prefix}/man/man3/Tk_Depth.3
%{prefix}/man/man3/Tk_DestroyWindow.3
%{prefix}/man/man3/Tk_Display.3
%{prefix}/man/man3/Tk_DisplayName.3
%{prefix}/man/man3/Tk_Draw3DPolygon.3
%{prefix}/man/man3/Tk_Draw3DRectangle.3
%{prefix}/man/man3/Tk_DrawFocusHighlight.3
%{prefix}/man/man3/Tk_Fill3DPolygon.3
%{prefix}/man/man3/Tk_Fill3DRectangle.3
%{prefix}/man/man3/Tk_FindPhoto.3
%{prefix}/man/man3/Tk_Free3DBorder.3
%{prefix}/man/man3/Tk_FreeBitmap.3
%{prefix}/man/man3/Tk_FreeColor.3
%{prefix}/man/man3/Tk_FreeColormap.3
%{prefix}/man/man3/Tk_FreeCursor.3
%{prefix}/man/man3/Tk_FreeFontStruct.3
%{prefix}/man/man3/Tk_FreeGC.3
%{prefix}/man/man3/Tk_FreeImage.3
%{prefix}/man/man3/Tk_FreeOptions.3
%{prefix}/man/man3/Tk_FreePixmap.3
%{prefix}/man/man3/Tk_FreeXId.3
%{prefix}/man/man3/Tk_GeometryRequest.3
%{prefix}/man/man3/Tk_Get3DBorder.3
%{prefix}/man/man3/Tk_GetAllBindings.3
%{prefix}/man/man3/Tk_GetAnchor.3
%{prefix}/man/man3/Tk_GetAtomName.3
%{prefix}/man/man3/Tk_GetBinding.3
%{prefix}/man/man3/Tk_GetBitmap.3
%{prefix}/man/man3/Tk_GetBitmapFromData.3
%{prefix}/man/man3/Tk_GetCapStyle.3
%{prefix}/man/man3/Tk_GetColor.3
%{prefix}/man/man3/Tk_GetColorByValue.3
%{prefix}/man/man3/Tk_GetColormap.3
%{prefix}/man/man3/Tk_GetCursor.3
%{prefix}/man/man3/Tk_GetCursorFromData.3
%{prefix}/man/man3/Tk_GetFontStruct.3
%{prefix}/man/man3/Tk_GetGC.3
%{prefix}/man/man3/Tk_GetImage.3
%{prefix}/man/man3/Tk_GetItemTypes.3
%{prefix}/man/man3/Tk_GetJoinStyle.3
%{prefix}/man/man3/Tk_GetJustify.3
%{prefix}/man/man3/Tk_GetOption.3
%{prefix}/man/man3/Tk_GetPixels.3
%{prefix}/man/man3/Tk_GetPixmap.3
%{prefix}/man/man3/Tk_GetRelief.3
%{prefix}/man/man3/Tk_GetRootCoords.3
%{prefix}/man/man3/Tk_GetScreenMM.3
%{prefix}/man/man3/Tk_GetScrollInfo.3
%{prefix}/man/man3/Tk_GetSelection.3
%{prefix}/man/man3/Tk_GetUid.3
%{prefix}/man/man3/Tk_GetVRootGeometry.3
%{prefix}/man/man3/Tk_GetVisual.3
%{prefix}/man/man3/Tk_HandleEvent.3
%{prefix}/man/man3/Tk_Height.3
%{prefix}/man/man3/Tk_IdToWindow.3
%{prefix}/man/man3/Tk_ImageChanged.3
%{prefix}/man/man3/Tk_InternAtom.3
%{prefix}/man/man3/Tk_InternalBorderWidth.3
%{prefix}/man/man3/Tk_IsMapped.3
%{prefix}/man/man3/Tk_IsTopLevel.3
%{prefix}/man/man3/Tk_MainLoop.3
%{prefix}/man/man3/Tk_MainWindow.3
%{prefix}/man/man3/Tk_MaintainGeometry.3
%{prefix}/man/man3/Tk_MakeWindowExist.3
%{prefix}/man/man3/Tk_ManageGeometry.3
%{prefix}/man/man3/Tk_MapWindow.3
%{prefix}/man/man3/Tk_MoveResizeWindow.3
%{prefix}/man/man3/Tk_MoveToplevelWindow.3
%{prefix}/man/man3/Tk_MoveWindow.3
%{prefix}/man/man3/Tk_Name.3
%{prefix}/man/man3/Tk_NameOf3DBorder.3
%{prefix}/man/man3/Tk_NameOfAnchor.3
%{prefix}/man/man3/Tk_NameOfBitmap.3
%{prefix}/man/man3/Tk_NameOfCapStyle.3
%{prefix}/man/man3/Tk_NameOfColor.3
%{prefix}/man/man3/Tk_NameOfCursor.3
%{prefix}/man/man3/Tk_NameOfFontStruct.3
%{prefix}/man/man3/Tk_NameOfImage.3
%{prefix}/man/man3/Tk_NameOfJoinStyle.3
%{prefix}/man/man3/Tk_NameOfJustify.3
%{prefix}/man/man3/Tk_NameOfRelief.3
%{prefix}/man/man3/Tk_NameToWindow.3
%{prefix}/man/man3/Tk_Offset.3
%{prefix}/man/man3/Tk_OwnSelection.3
%{prefix}/man/man3/Tk_Parent.3
%{prefix}/man/man3/Tk_ParseArgv.3
%{prefix}/man/man3/Tk_PathName.3
%{prefix}/man/man3/Tk_PhotoBlank.3
%{prefix}/man/man3/Tk_PhotoExpand.3
%{prefix}/man/man3/Tk_PhotoGetImage.3
%{prefix}/man/man3/Tk_PhotoGetSize.3
%{prefix}/man/man3/Tk_PhotoPutBlock.3
%{prefix}/man/man3/Tk_PhotoPutZoomedBlock.3
%{prefix}/man/man3/Tk_PhotoSetSize.3
%{prefix}/man/man3/Tk_QueueWindowEvent.3
%{prefix}/man/man3/Tk_RedrawImage.3
%{prefix}/man/man3/Tk_ReqHeight.3
%{prefix}/man/man3/Tk_ReqWidth.3
%{prefix}/man/man3/Tk_ResizeWindow.3
%{prefix}/man/man3/Tk_RestackWindow.3
%{prefix}/man/man3/Tk_RestrictEvents.3
%{prefix}/man/man3/Tk_Screen.3
%{prefix}/man/man3/Tk_ScreenNumber.3
%{prefix}/man/man3/Tk_SetAppName.3
%{prefix}/man/man3/Tk_SetBackgroundFromBorder.3
%{prefix}/man/man3/Tk_SetClass.3
%{prefix}/man/man3/Tk_SetGrid.3
%{prefix}/man/man3/Tk_SetInternalBorder.3
%{prefix}/man/man3/Tk_SetWindowBackground.3
%{prefix}/man/man3/Tk_SetWindowBackgroundPixmap.3
%{prefix}/man/man3/Tk_SetWindowBorder.3
%{prefix}/man/man3/Tk_SetWindowBorderPixmap.3
%{prefix}/man/man3/Tk_SetWindowBorderWidth.3
%{prefix}/man/man3/Tk_SetWindowColormap.3
%{prefix}/man/man3/Tk_SetWindowVisual.3
%{prefix}/man/man3/Tk_SizeOfBitmap.3
%{prefix}/man/man3/Tk_SizeOfImage.3
%{prefix}/man/man3/Tk_StrictMotif.3
%{prefix}/man/man3/Tk_UndefineCursor.3
%{prefix}/man/man3/Tk_UnmaintainGeometry.3
%{prefix}/man/man3/Tk_UnmapWindow.3
%{prefix}/man/man3/Tk_UnsetGrid.3
%{prefix}/man/man3/Tk_Visual.3
%{prefix}/man/man3/Tk_Width.3
%{prefix}/man/man3/Tk_WindowId.3
%{prefix}/man/man3/Tk_Y.3
%{prefix}/man/mann/Tcl.n
%{prefix}/man/mann/after.n
%{prefix}/man/mann/append.n
%{prefix}/man/mann/array.n
%{prefix}/man/mann/bgerror.n
%{prefix}/man/mann/break.n
%{prefix}/man/mann/case.n
%{prefix}/man/mann/catch.n
%{prefix}/man/mann/cd.n
%{prefix}/man/mann/clock.n
%{prefix}/man/mann/close.n
%{prefix}/man/mann/concat.n
%{prefix}/man/mann/continue.n
%{prefix}/man/mann/eof.n
%{prefix}/man/mann/error.n
%{prefix}/man/mann/eval.n
%{prefix}/man/mann/exec.n
%{prefix}/man/mann/exit.n
%{prefix}/man/mann/expr.n
%{prefix}/man/mann/fblocked.n
%{prefix}/man/mann/fconfigure.n
%{prefix}/man/mann/file.n
%{prefix}/man/mann/fileevent.n
%{prefix}/man/mann/filename.n
%{prefix}/man/mann/flush.n
%{prefix}/man/mann/for.n
%{prefix}/man/mann/foreach.n
%{prefix}/man/mann/format.n
%{prefix}/man/mann/gets.n
%{prefix}/man/mann/glob.n
%{prefix}/man/mann/global.n
%{prefix}/man/mann/history.n
%{prefix}/man/mann/if.n
%{prefix}/man/mann/incr.n
%{prefix}/man/mann/info.n
%{prefix}/man/mann/interp.n
%{prefix}/man/mann/join.n
%{prefix}/man/mann/lappend.n
%{prefix}/man/mann/library.n
%{prefix}/man/mann/lindex.n
%{prefix}/man/mann/linsert.n
%{prefix}/man/mann/list.n
%{prefix}/man/mann/llength.n
%{prefix}/man/mann/load.n
%{prefix}/man/mann/lrange.n
%{prefix}/man/mann/lreplace.n
%{prefix}/man/mann/lsearch.n
%{prefix}/man/mann/lsort.n
%{prefix}/man/mann/open.n
%{prefix}/man/mann/package.n
%{prefix}/man/mann/pid.n
%{prefix}/man/mann/pkgMkIndex.n
%{prefix}/man/mann/proc.n
%{prefix}/man/mann/puts.n
%{prefix}/man/mann/pwd.n
%{prefix}/man/mann/read.n
%{prefix}/man/mann/regexp.n
%{prefix}/man/mann/regsub.n
%{prefix}/man/mann/rename.n
%{prefix}/man/mann/return.n
%{prefix}/man/mann/scan.n
%{prefix}/man/mann/seek.n
%{prefix}/man/mann/set.n
%{prefix}/man/mann/socket.n
%{prefix}/man/mann/source.n
%{prefix}/man/mann/split.n
%{prefix}/man/mann/string.n
%{prefix}/man/mann/subst.n
%{prefix}/man/mann/switch.n
%{prefix}/man/mann/tclvars.n
%{prefix}/man/mann/tell.n
%{prefix}/man/mann/time.n
%{prefix}/man/mann/trace.n
%{prefix}/man/mann/unknown.n
%{prefix}/man/mann/unset.n
%{prefix}/man/mann/update.n
%{prefix}/man/mann/uplevel.n
%{prefix}/man/mann/upvar.n
%{prefix}/man/mann/vwait.n
%{prefix}/man/mann/while.n
%{prefix}/man/mann/pkg_mkIndex.n
%{prefix}/man/mann/bell.n
%{prefix}/man/mann/bind.n
%{prefix}/man/mann/bindtags.n
%{prefix}/man/mann/bitmap.n
%{prefix}/man/mann/button.n
%{prefix}/man/mann/canvas.n
%{prefix}/man/mann/checkbutton.n
%{prefix}/man/mann/chooseColor.n
%{prefix}/man/mann/clipboard.n
%{prefix}/man/mann/destroy.n
%{prefix}/man/mann/dialog.n
%{prefix}/man/mann/entry.n
%{prefix}/man/mann/event.n
%{prefix}/man/mann/focus.n
%{prefix}/man/mann/focusNext.n
%{prefix}/man/mann/frame.n
%{prefix}/man/mann/getOpenFile.n
%{prefix}/man/mann/grab.n
%{prefix}/man/mann/grid.n
%{prefix}/man/mann/image.n
%{prefix}/man/mann/label.n
%{prefix}/man/mann/listbox.n
%{prefix}/man/mann/lower.n
%{prefix}/man/mann/menu.n
%{prefix}/man/mann/menubar.n
%{prefix}/man/mann/menubutton.n
%{prefix}/man/mann/message.n
%{prefix}/man/mann/messageBox.n
%{prefix}/man/mann/option.n
%{prefix}/man/mann/optionMenu.n
%{prefix}/man/mann/options.n
%{prefix}/man/mann/pack-old.n
%{prefix}/man/mann/pack.n
%{prefix}/man/mann/palette.n
%{prefix}/man/mann/photo.n
%{prefix}/man/mann/place.n
%{prefix}/man/mann/popup.n
%{prefix}/man/mann/radiobutton.n
%{prefix}/man/mann/raise.n
%{prefix}/man/mann/scale.n
%{prefix}/man/mann/scrollbar.n
%{prefix}/man/mann/selection.n
%{prefix}/man/mann/send.n
%{prefix}/man/mann/text.n
%{prefix}/man/mann/tk.n
%{prefix}/man/mann/tkerror.n
%{prefix}/man/mann/tkvars.n
%{prefix}/man/mann/tkwait.n
%{prefix}/man/mann/toplevel.n
%{prefix}/man/mann/winfo.n
%{prefix}/man/mann/wm.n
%{prefix}/man/mann/tk_bindForTraversal.n
%{prefix}/man/mann/tk_bisque.n
%{prefix}/man/mann/tk_chooseColor.n
%{prefix}/man/mann/tk_dialog.n
%{prefix}/man/mann/tk_focusFollowsMouse.n
%{prefix}/man/mann/tk_focusNext.n
%{prefix}/man/mann/tk_focusPrev.n
%{prefix}/man/mann/tk_getOpenFile.n
%{prefix}/man/mann/tk_getSaveFile.n
%{prefix}/man/mann/tk_menuBar.n
%{prefix}/man/mann/tk_messageBox.n
%{prefix}/man/mann/tk_optionMenu.n
%{prefix}/man/mann/tk_popup.n
%{prefix}/man/mann/tk_setPalette.n

